Bug 864503 - gluster volume geo-replication config --xml outputs wrong xml structure
gluster volume geo-replication config --xml outputs wrong xml structure
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 09:21 EDT by Bala.FA
Modified: 2015-11-22 21:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-10-09 09:21:42 EDT
current output:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput>
  <volGeoRep>
    <cmd-str>volume geo-replication music /tmp/t config config</cmd-str>
    <subop>get-all</subop>
    <type>3</type>
    <slave>/tmp/t</slave>
    <master>music</master>
    <host-uuid>69dded11-dca1-4fec-869d-56db783e9e7e</host-uuid>
    <vol-id>b3114c71-741b-4c6f-a39e-80384c4ea3cf</vol-id>
    <glusterd_workdir>/var/lib/glusterd</glusterd_workdir>
  </volGeoRep>
</cliOutput>

expected output:

standard xml with all config details.
Comment 1 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.